package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class BentukProduk
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "BentukProduk_M")
public class BentukProdukVO extends BaseMasterVO {
	@Caption(value="Kode Bentuk Produk")
	private Byte kdBentukProduk;

	public void setKdBentukProduk(Byte kdBentukProduk) {
		this.kdBentukProduk = kdBentukProduk;
	}

	@Column(name = "KdBentukProduk", nullable = false )
	public Byte getKdBentukProduk(){
		return this.kdBentukProduk;
	}

	@ManyToOne
	@JoinColumn(name = "ObjectDepartemenFk")
	@NotNull(message="Object DepartemenVO Harus Diisi")
	@Caption(value="Object Departemen")
	private DepartemenVO departemen;

	public void setDepartemen(DepartemenVO departemen) {
		this.departemen = departemen;
	}

	@Column(name = "KdDepartemen", nullable = false , length = 1)
	public DepartemenVO getDepartemen(){
		return this.departemen;
	}

	@Column(name = "ObjectDepartemenFk", insertable=false,updatable=false)
	private Integer departemenId;

	@ManyToOne
	@JoinColumn(name = "ObjectKelompokProdukFk")
	@Caption(value="Object Kelompok Produk")
	private KelompokProdukVO kelompokProduk;

	public void setKelompokProduk(KelompokProdukVO kelompokProduk) {
		this.kelompokProduk = kelompokProduk;
	}

	@Column(name = "KdKelompokProduk", nullable = true )
	public KelompokProdukVO getKelompokProduk(){
		return this.kelompokProduk;
	}

	@Column(name = "ObjectKelompokProdukFk", insertable=false,updatable=false)
	private Integer kelompokProdukId;

	@Caption(value="Nama Bentuk Produk")
	private String namaBentukProduk;

	public void setNamaBentukProduk(String namaBentukProduk) {
		this.namaBentukProduk = namaBentukProduk;
	}

	@Column(name = "NamaBentukProduk", nullable = false , length = 30)
	public String getNamaBentukProduk(){
		return this.namaBentukProduk;
	}

	@Caption(value="QBentuk Produk")
	private Byte qBentukProduk;

	public void setqBentukProduk(Byte qBentukProduk) {
		this.qBentukProduk = qBentukProduk;
	}

	@Column(name = "QBentukProduk", nullable = false )
	public Byte getqBentukProduk(){
		return this.qBentukProduk;
	}


}

